System.ServiceModel 4.0.0.0 System.ServiceModel.IContextChannel System.ServiceModel.IExtensibleObject<System.ServiceModel.IContextChannel>

A duplex contract requires a session, because a context must be established to correlate the set of messages being sent between the client and the service.

Defines the interface a client channel must implement to exchange messages in a duplex session.

- Property
  4.0.0.0
  System.Boolean To be added.

  When the remote side initiates shutdown, the channel is automatically closed for the user if is set to true. Setting it to false instead allow the user to send some final messages to the remote side on its output session before closing the channel.

  Gets or sets a value that indicates whether the input session is shutdown automatically.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  Begins an asynchronous operation to close an output session on the client that has a specified time out and state object associated with it.

  The that references the asynchronous close operation.

  The that specifies how long the close operation has to complete before timing out. The delegate that receives the notification of the asynchronous operation close completion. An object, specified by the application, that contains state information associated with the asynchronous close operation.
- Property
  4.0.0.0
  System.ServiceModel.InstanceContext To be added. To be added.

  Gets or sets the instance context associated with the duplex message exchange.

- Method
  4.0.0.0
  System.Void `` To be added.

  Closes the output session on the client associated with the duplex channel.

  The that specifies how long the close operation has to complete before timing out.
- Method
  4.0.0.0
  System.Void `` To be added.

  Completes an asynchronous operation to close an output session on the client.

  The returned by a call to the method.